Bug 847349 - [abrt] pcmanfm-0.9.10-2.fc17: get_directory_index: Process /usr/bin/pcmanfm was killed by signal 11 (SIGSEGV)
[abrt] pcmanfm-0.9.10-2.fc17: get_directory_index: Process /usr/bin/pcmanfm w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcmanfm (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:34f3831e02b71065bef6641ae67...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 12:33 EDT by Blue.Dog.Archolite
Modified: 2013-08-01 01:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.77 KB, text/plain)
2012-08-10 12:33 EDT, Blue.Dog.Archolite
no flags Details
File: maps (29.19 KB, text/plain)
2012-08-10 12:33 EDT, Blue.Dog.Archolite
no flags Details
File: dso_list (5.35 KB, text/plain)
2012-08-10 12:33 EDT, Blue.Dog.Archolite
no flags Details

  None (edit)
Description Blue.Dog.Archolite 2012-08-10 12:33:50 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        pcmanfm --desktop --profile LXDE
crash_function: get_directory_index
executable:     /usr/bin/pcmanfm
kernel:         3.4.4-5.fc17.x86_64
pid:            1017
pwd:            /home/thief
remote_result:  NOTFOUND
time:           Tue 17 Jul 2012 12:47:57 PM CDT
uid:            1000
username:       thief
xsession_errors: 

backtrace:      Text file, 10000 bytes
dso_list:       Text file, 5476 bytes
maps:           Text file, 29886 bytes

build_ids:
:0b5136eb97c122ea97853b81cd09ca71d163654d
:faca16f15d87b83d2947a386e319b02f724dcbb5
:8c1105fdca80308f44d545b954a7dcd518f98db5
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f4d479614b09460085428bbe7d53df454d0d39e5
:b277af36744327e3d58eae76bcdaadcca71a28c6
:904e459a5c4c7a8c92d688a6d70a8d428acc19cf
:ec87953f655fbcbcbe71b591db5451e56739576e
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:31243d0d107bba586a96433c76c87a26db1e826c
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:508cf66f72e70054a41215f80ed2385c6bb80030
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:54a5cc118d928470da13565de8592b664a9868e0
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:822e9b3523e8312240f41a25722d539bc77ed436
:67792c148d2b8f13f6732c9367e926c26d7376c5
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:406ccfa4081367b263a2fd95b5e7b59d680cce34
:80715e18def3ab321142eb49e7b19167fb2cca87
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:1aa43ff20e0f535bf9c54d0a6b96b66653cd3ae7
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:99c23b21038c62b0628b93610fb54c5900c40ffd
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:4b044fe80e4c1b69986abc4b160c303048005d4e
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:5350b5972464f66f404861dc50225a114a2a5e7e
:d8d393649ae4da146ebc8812db58514f245f08a9

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/thief/1

core_backtrace:
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x1112a1 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x115ff2 - libgtk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x44a3d g_list_foreach libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x115fc9 - libgtk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x44a3d g_list_foreach libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x115f37 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x118a60 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x11a67d - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x290320 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14be8b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:80715e18def3ab321142eb49e7b19167fb2cca87 0xdd47 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=ThiefLenovo.mp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/home/thief/.cache/keyring-qAjsFk
:SYSFONT=True
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=thief
:DESKTOP_SESSION=LXDE
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/thief/.local/bin:/home/thief/bin
:MAIL=/var/spool/mail/thief
:QT_IM_MODULE=xim
:PWD=/home/thief
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=780
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KEYTABLE=us
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/thief
:SHLVL=1
:XDG_CONFIG_HOME=/home/thief/.config
:BOOT_IMAGE=/vmlinuz-3.4.4-5.fc17.x86_64
:LOGNAME=thief
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AkLTTY4maQ,guid=780764a6ac6b2b9b19f6231a00000020
:PREFERRED=/usr/bin/startlxde
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/thief
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/home/thief/.Xauthority
:_LXSESSION_PID=848
:XDG_CURRENT_DESKTOP=LXDE

event_log:
:2012-08-10-10:54:40> Analyzing coredump 'coredump'
:2012-08-10-10:54:45  Coredump references 55 debuginfo files, 2 of them are not installed
:2012-08-10-10:54:46  Setting up yum repositories
:2012-08-10-10:54:49  Looking for needed packages in repositories
:2012-08-10-10:54:54  Can't find packages for 2 debuginfo files
:2012-08-10-10:54:54  Missing debuginfo file: /usr/lib/debug/.build-id/8c/1105fdca80308f44d545b954a7dcd518f98db5.debug
:2012-08-10-10:54:54  Missing debuginfo file: /usr/lib/debug/.build-id/d8/d393649ae4da146ebc8812db58514f245f08a9.debug
:2012-08-10-10:54:54  Generating backtrace
:2012-08-10-10:54:57  Backtrace is generated and saved, 10000 bytes
:2012-08-10-11:33:24> Element 'xsession_errors' saved
:2012-08-10-11:33:26> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15785                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15785                15785                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/var/log/lxdm.log
:pos:	9694758
:flags:	0102001
:2:/home/thief/.xsession-errors
:pos:	5695749
:flags:	0100001
:3:socket:[16929]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[16930]
:pos:	0
:flags:	02
:6:pipe:[16931]
:pos:	0
:flags:	00
:7:pipe:[16931]
:pos:	0
:flags:	01
:8:socket:[16966]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:/proc/1017/mounts
:pos:	0
:flags:	0100000
:11:socket:[17270]
:pos:	0
:flags:	02004002
:12:socket:[539517]
:pos:	0
:flags:	02
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:/home/thief/.gtk-bookmarks
:pos:	137
:flags:	0100000
:15:socket:[540726]
:pos:	0
:flags:	02004002
:16:socket:[540729]
:pos:	0
:flags:	02
:17:socket:[540730]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 38adb229-3c8d-4b76-91b1-a5e3a5a7f1be
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3325.12
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU         T5500  @ 1.66GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1667
:System Memory: 1994
:System Swap: 3999
:Vendor: LENOVO
:System: 0768DKU 3000 N100
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10144:6058:8289) pci, agpgart-intel, HOST/PCI, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub
:(32902:10202:6058:8307) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10180:6058:8306) pci, ata_piix, STORAGE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
:(32902:10169:6058:8305) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(32902:9288:6058:8304) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10185:6058:8300) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:6058:8299) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10187:6058:8302) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10186:6058:8301) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10188:6058:8303) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:16935:32902:4112) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection
:(32902:10146:6058:8290) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
:(32902:10150:6058:8290) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:6058:8295) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:6058:8296) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:6058:8294) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(5412:5136:6058:8309) pci, yenta_cardbus, PCI/CARDBUS, CB1410 Cardbus Controller
:(4480:2130:6058:8314) pci, None, BASE, xD-Picture Card Controller
:(4480:1426:6058:8313) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2082:6058:8311) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:2098:6058:8310) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4332:33081:6058:8308) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_thieflenovo-lv_root / ext4 4096 4096 12240387 10156635 10034104 3063808 2847442 2847442
:/dev/sda1 /boot ext4 1024 1024 508644 398064 372464 128016 127653 127653
:/dev/mapper/vg_thieflenovo-lv_home /home ext4 4096 4096 6110173 412393 106013 1531904 1456029 1456029
:/dev/sdb1 WITHHELD vfat 32768 32768 4882898 1054320 1054320 0 0 0
:

var_log_messages:
:Jul 17 12:47:56 ThiefLenovo kernel: [99459.468815] pcmanfm[1017]: segfault at d0000000c ip 00000035017112a1 sp 00007fffeb1aa910 error 6 in libgtk-x11-2.0.so.0.2400.10[3501600000+46a000]
:Jul 17 12:47:58 ThiefLenovo abrt[13672]: Saved core dump of pid 1017 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-17-12:47:57-1017 (56664064 bytes)
Comment 1 Blue.Dog.Archolite 2012-08-10 12:33:54 EDT
Created attachment 603583 [details]
File: backtrace
Comment 2 Blue.Dog.Archolite 2012-08-10 12:33:55 EDT
Created attachment 603584 [details]
File: maps
Comment 3 Blue.Dog.Archolite 2012-08-10 12:33:57 EDT
Created attachment 603585 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 21:13:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 01:27:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.